Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::StlMapIterator< KEY, VALUE > Struct Template Reference

`#include <StlIterator.h>`

Inheritance diagram for tlp::StlMapIterator< KEY, VALUE >:
[legend]
Collaboration diagram for tlp::StlMapIterator< KEY, VALUE >:
[legend]

List of all members.

## Public Member Functions

- StlMapIterator (typename std::map< KEY, VALUE >::const_iterator startIt, typename std::map< KEY, VALUE >::const_iterator endIt)
- std::pair< KEY, VALUE > next ()
    StlMapIterator implemetation.
- bool hasNext ()
    Tells if the sequence is at its end.

### template<typename KEY, typename VALUE>
struct tlp::StlMapIterator< KEY, VALUE >

## Constructor & Destructor Documentation

template<typename KEY , typename VALUE >

tlp::StlMapIterator< KEY, VALUE >::StlMapIterator | ( | typename std::map< KEY, VALUE >::const_iterator | startIt,
|  | typename std::map< KEY, VALUE >::const_iterator | endIt
| ) |  | `[inline]`

## Member Function Documentation

template<typename KEY , typename VALUE >

bool tlp::StlMapIterator< KEY, VALUE >::hasNext | ( |  | ) | `[virtual]`

Tells if the sequence is at its end.

Returns:
  bool Whether there are more elements to iterate on.

Implements tlp::Iterator< std::pair< KEY, VALUE > >.

template<typename KEY , typename VALUE >

std::pair< KEY, VALUE > tlp::StlMapIterator< KEY, VALUE >::next | ( |  | ) | `[virtual]`

StlMapIterator implemetation.

Implements tlp::Iterator< std::pair< KEY, VALUE > >.

Tulip Software by LaBRI Visualization Team 2001 - 2012